services:
  ipfs:
    image: ipfs/kubo:latest
    container_name: ipfstr-ipfs
    restart: unless-stopped
    ports:
      - "4002:4001/tcp"
      - "4002:4001/udp"
      - "5002:5001"
      - "8081:8080"
    volumes:
      - ./ipfs-data:/data/ipfs

  ipfstr:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: ipfstr
    restart: unless-stopped
    env_file:
      - .env.example
    ports:
      - "3334:3334"
      - "3335:3335"
    volumes:
      - ./ipfstr-data:/data
    depends_on:
      - ipfs
